Package org.apache.sysds.runtime.compress.lib

## Class CLALibSquash

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibSquash

    public final class CLALibSquash
    extends Object

Squash or recompress is processing each column group and trying to find a better compressed representation for each.

### Method Summary

All Methods Static Methods Concrete Methods
`static CompressedMatrixBlock` `squash​(CompressedMatrixBlock m, int k)` Squash or recompress is process each column group in the given Compressed Matrix Block and tries to recompress each column.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### squash

    public static CompressedMatrixBlock squash​(CompressedMatrixBlock m,
                                               int k)

Squash or recompress is process each column group in the given Compressed Matrix Block and tries to recompress each column.

Parameters:
  `m` - The input compressed matrix
  `k` - The parallelization degree allowed in this process
Returns:
  A replaced Compressed Matrix Block, note the old block is also modified